package com.yunzhi.gnyy.common;

import cn.dev33.satoken.stp.StpUtil;
import com.yunzhi.gnyy.entity.TaPerson;
import com.yunzhi.gnyy.entity.WxUser;
import com.yunzhi.gnyy.service.ITaPersonService;
import com.yunzhi.gnyy.service.IWxUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BaseController {

    @Autowired
    protected IWxUserService iWxUserService;

    @Autowired
    protected ITaPersonService iTaPersonService;

    public String getLoginId() {
        return StpUtil.getLoginIdAsString();
    }

    public WxUser currentWxUser() throws Exception {
        String loginId = getLoginId();
        if (StringUtils.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }

        WxUser user = iWxUserService.getById(loginId);
        if (user == null || user.getStatus() == Constants.STATUS_DELETE) {
            throw new Exception("微信用户不存在");
        }

        return user;
    }

    public TaPerson currentPerson() throws Exception {
        WxUser user = currentWxUser();
        if (StringUtils.isEmpty(user.getPersonId())) {
            throw new Exception("未维护人员信息");
        }

        TaPerson taPerson = iTaPersonService.getById(user.getPersonId());
        if (taPerson == null || taPerson.getStatus() == Constants.STATUS_DELETE) {
            throw new Exception("人员不存在");
        }

        return taPerson;
    }

}
